﻿namespace Model;

public interface IDataManager
{
    List<CustomTitle> GetCustomTitles();

    List<InfoTitle> GetInfoTitles();

    List<Album> GetAlbums();

    List<Artist> GetArtists();

    List<Playlist> GetPlaylists();

    public void AddAlbum(Album album);

    public void AddArtist(Artist artist);

    public void AddPlaylist(Playlist playlist);

    public void AddCustomTitle(CustomTitle title);

    public void AddInfoTitle(InfoTitle title);

    public void RemoveAlbum(Album album);

    public void RemoveArtist(Artist artist);

    public void RemovePlaylist(Playlist playlist);

    public void RemoveCustomTitle(CustomTitle title);

    public void RemoveInfoTitle(InfoTitle title);

}